For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log in to the PayOS Dashboard
GuidesAPI ReferenceHelp Center
GuidesAPI ReferenceHelp Center
  • Authentication API
    • POSTRequest an Access Token
  • Payments API
  • Payment Rules API
  • Payouts API
  • Payers API [BETA]
  • Reporting API
      • POSTCreate Transactions Report
      • POSTCreate Transactions Reconciliation Report
      • POSTCreate Unmatched Settlements Report
      • GETList Reports
      • GETGet Transactions Report
      • GETGet Transactions Reconciliation Report
      • GETGet Unmatched Settlements Report
      • GETGet Generic Report
      • POSTImport Generic Report
  • Verification API
Log in to the PayOS Dashboard
LogoLogo
Reporting APIReport

Import Generic Report

POST
https://api.payos.money/api/v1/reports/import
POST
/api/v1/reports/import
$curl -X POST https://api.payos.money/api/v1/reports/import
1{
2 "id": "string",
3 "reportType": "TransactionsReport",
4 "merchantId": "string",
5 "requesterUsername": "string",
6 "createdAt": "2024-01-15T09:30:00Z",
7 "status": "Initiated",
8 "name": "string",
9 "generatedAt": "2024-01-15T09:30:00Z",
10 "merchantName": "string"
11}
Directly import a generic report with specific data rows
Was this page helpful?
Previous

Verify a mobile number

Next
Built with

Response

Generic report imported successfully
idstring
reportTypeenum
Allowed values:
merchantIdstring
requesterUsernamestring
createdAtstringformat: "date-time"
statusenum
Allowed values:
namestring
generatedAtstringformat: "date-time"
merchantNamestring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error